<StructuredTextModel xmlns="http://schemas.datacontract.org/2004/07/Omron.Cxap.Modules.StructuredText.Core" xmlns:i="http://www.w3.org/2001/XMLSchema-instance"><Text>// V1.0 - CALCOLO PERCENTUALE PEZZI BUONI / SCARTI&#xD;
&#xD;
BUONI_TOT:=ULINT_TO_REAL(i_BUONI);&#xD;
SCARTI_TOT:=ULINT_TO_REAL(i_SCARTI);&#xD;
LOTTO_TOT:=ULINT_TO_REAL(i_TOT);&#xD;
&#xD;
IF (LOTTO_TOT &lt;&gt; REAL#0.0) AND (EN=TRUE) THEN&#xD;
	PERCENTUALE_BUONI :=  REAL#100.0 * BUONI_TOT / LOTTO_TOT;&#xD;
	PERCENTUALE_SCARTI :=  REAL#100.0 - PERCENTUALE_BUONI;&#xD;
ELSE&#xD;
	PERCENTUALE_BUONI := REAL#0.0;&#xD;
	PERCENTUALE_SCARTI := REAL#0.0;&#xD;
END_IF;	&#xD;
&#xD;
o_PERCENT_BUONI:=PERCENTUALE_BUONI;&#xD;
o_PERCENT_SCARTI:=PERCENTUALE_SCARTI;&#xD;
&#xD;
FC_Percentuale_PzBuoniScarti :=EN;</Text></StructuredTextModel>